<?php //to use wp udpate plugin

    $home_id=''; $blog_id=''; $page_id=''; $about_id='';


    // Function to check if a page with a specific title exists
    function page_exists_by_title($title) {
      $page_query = new WP_Query(array(
          'post_type'   => 'page',
          'title'       => $title,
          'post_status' => 'publish',
          'numberposts' => 1
      ));
      
      if ($page_query->have_posts()) {
          // Return the ID of the first matching page
          $page = $page_query->posts[0];
          return $page->ID;
      }
    
      return false; // Return false if no page found
    }

    //Homepage
    $home_title = 'Home';
    if (!page_exists_by_title($home_title)) {
      $home_content = '';
      $home = array(
        'post_type'    => 'page',
        'post_title'   => $home_title,
        'post_content' => $home_content,
        'post_status'  => 'publish',
        'post_author'  => 1,
        'post_name'    => 'home'
      );

      $home_id = wp_insert_post($home);
      
      // Set the home page template
      add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
      
      // Set the static front page
      update_option('page_on_front', $home_id);
      update_option('show_on_front', 'page');

    }else {
      // Get the ID of the existing page
      $home_id = page_exists_by_title($home_title);

      // Set the home page template
      add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
      
      // Set the static front page
      update_option('page_on_front', $home_id);
      update_option('show_on_front', 'page');
    }
    


    // Create a Page if it doesn't exist
    if ( !page_exists_by_title('Page') ) {
      $page_title = 'Page';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page'
      );
      $page_id = wp_insert_post($ot_page);
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page');
    }

    if ( !page_exists_by_title('Page Left Sidebar') ) {
      $page_title = 'Page Left Sidebar';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page-left'
      );
      $page_id = wp_insert_post($ot_page);

      // Set the page template
      add_post_meta($page_id, '_wp_page_template', 'page-template/left-sidebar.php');
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page Left Sidebar');
    }

    if ( !page_exists_by_title('Page Right Sidebar') ) {
      $page_title = 'Page Right Sidebar';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page-right'
      );
      $page_id = wp_insert_post($ot_page);

      // Set the page template
      add_post_meta($page_id, '_wp_page_template', 'page-template/right-sidebar.php');
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page Right Sidebar');
    }

    // ------- Create Left Menu --------
    $menuname =  'Main Menu';
    $bpmenulocation = 'primary';
    $menu_exists = wp_get_nav_menu_object( $menuname );

    if (!$menu_exists) {
      // Create the menu
      $menu_id = wp_create_nav_menu($menuname);

      // Add the HOME item
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Home', 'chiropractor-therapy'),
          'menu-item-classes' => 'home',
          'menu-item-url'     => home_url('/index.php/home/'),
          'menu-item-status'  => 'publish'
      ));

      // Add the PAGE item
      $parent_page_item_id = wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Pages', 'chiropractor-therapy'),
          'menu-item-classes' => 'page',
          'menu-item-url'     => home_url('/index.php/page/'),
          'menu-item-status'  => 'publish'
      ));

      // Add the Page Left Sidebar item as a child of PAGE
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'   => __('Page Left Sidebar', 'chiropractor-therapy'),
          'menu-item-classes' => 'page-left',
          'menu-item-url'     => home_url('/index.php/page-left/'),
          'menu-item-status'  => 'publish',
          'menu-item-parent-id' => $parent_page_item_id
      ));

      // Add the Page Right Sidebar item as a child of PAGE
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'   => __('Page Right Sidebar', 'chiropractor-therapy'),
          'menu-item-classes' => 'page-right',
          'menu-item-url'     => home_url('/index.php/page-right/'),
          'menu-item-status'  => 'publish',
          'menu-item-parent-id' => $parent_page_item_id
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('About', 'chiropractor-therapy'),
          'menu-item-classes' => 'about',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Services', 'chiropractor-therapy'),
          'menu-item-classes' => 'services',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

       wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Program', 'chiropractor-therapy'),
          'menu-item-classes' => 'program',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

        wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Contact', 'chiropractor-therapy'),
          'menu-item-classes' => 'contact',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));
      
      // Assign the menu to the desired location if not already assigned
      if (!has_nav_menu($bpmenulocation)) {
          $locations = get_theme_mod('nav_menu_locations');
          $locations[$bpmenulocation] = $menu_id;
          set_theme_mod('nav_menu_locations', $locations);
      }
    }
       
    // --------Header------------------------

    set_theme_mod( 'chiropractor_therapy_phone_text', 'Call Us' ); 

    set_theme_mod( 'chiropractor_therapy_phone_number', '+91 1800 123 1234' ); 

    set_theme_mod( 'chiropractor_therapy_phone_icon', 'fas fa-phone' ); 

    set_theme_mod( 'chiropractor_therapy_email_text', 'Email Us' ); 

    set_theme_mod( 'chiropractor_therapy_email_number', 'support@example.com' ); 

    set_theme_mod( 'chiropractor_therapy_email_icon', 'far fa-envelope' );

    set_theme_mod( 'chiropractor_therapy_header_quote_link', '#' );

    set_theme_mod( 'chiropractor_therapy_header_quote_button', 'Get a quote' );

    //-------------- Social icons-----------------------

    set_theme_mod( 'chiropractor_therapy_fb', '#' );

    set_theme_mod( 'chiropractor_therapy_youtube', '#' );

    set_theme_mod( 'chiropractor_therapy_instagram', '#' );

    set_theme_mod( 'chiropractor_therapy_twitter', '#' );

    //-------------- Slider-----------------------

    set_theme_mod('chiropractor_therapy_slider_count','4');

    set_theme_mod('chiropractor_therapy_slide_heading','Best Therapist Solutions');

    $slider_category = wp_create_category('Slider'); 

    for($i=1;$i<=4;$i++){

      $title = 'Professional Therapy For You';
      $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod.Aster ipsum dolor Tur adipiscing elit, sed do eiusmod. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum';

      // Create post object
      $chiropractor_therapy_my_post = array(
       'post_title'    => wp_strip_all_tags( $title ),
       'post_content'  => $content,
       'post_status'   => 'publish',
       'post_type'     => 'post',
       'post_category' => array($slider_category)
      );

      $chiropractor_therapy_slider_post_id = wp_insert_post($chiropractor_therapy_my_post);

      $chiropractor_therapy_post_image_url = get_template_directory_uri().'/assets/images/header-img.png';

      $chiropractor_therapy_image_name = 'header-img.png';
      $chiropractor_therapy_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $chiropractor_therapy_image_data       = file_get_contents($chiropractor_therapy_post_image_url); 
       
      // Get image data
      $chiropractor_therapy_unique_file_name = wp_unique_filename( $chiropractor_therapy_upload_dir['path'], $chiropractor_therapy_image_name ); 
      // Generate unique name
      $filename= basename( $chiropractor_therapy_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $chiropractor_therapy_upload_dir['path'] ) ) {
          $file = $chiropractor_therapy_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $chiropractor_therapy_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $chiropractor_therapy_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $chiropractor_therapy_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_type'     => 'post',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $chiropractor_therapy_attachment, $file, $chiropractor_therapy_slider_post_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $chiropractor_therapy_slider_post_id, $attach_id );

    }

    set_theme_mod( 'chiropractor_therapy_post_setting', 'Slider' );

    //-------------- Service-----------------------

    set_theme_mod( 'chiropractor_therapy_course_heading_text', 'Our Classes' ); 

    set_theme_mod( 'chiropractor_therapy_course_heading', 'Top Courses and Specializations' ); 

    $chiropractor_therapy_course_category = wp_create_category('Our Courses'); 

    set_theme_mod( 'chiropractor_therapy_service_count', '6' );

    for($i=1;$i<=6;$i++){

      $title = 'Health Coaching Course For Absolute Beginner';
      $content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.';

      // Create post object
      $chiropractor_therapy_my_post = array(
       'post_title'    => wp_strip_all_tags( $title ),
       'post_content'  => $content,
       'post_status'   => 'publish',
       'post_type'     => 'post',
       'post_category' => array($chiropractor_therapy_course_category),
      );

      $chiropractor_therapy_course_post_id = wp_insert_post($chiropractor_therapy_my_post);

      // Set post meta
        update_post_meta($chiropractor_therapy_course_post_id, 'chiropractor_therapy_teacher', 'tonue Parker');
        update_post_meta($chiropractor_therapy_course_post_id, 'chiropractor_therapy_student', '24 Students');
        update_post_meta($chiropractor_therapy_course_post_id, 'chiropractor_therapy_lesson', '12 lessons');

        $chiropractor_therapy_course_post_image_url = get_template_directory_uri().'/assets/images/image'.$i.'.jpg';

      $chiropractor_therapy_course_image_name = 'image'.$i.'.jpg';
      $chiropractor_therapy_course_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $chiropractor_therapy_course_image_data       = file_get_contents($chiropractor_therapy_course_post_image_url); 
       
      // Get image data
      $chiropractor_therapy_course_unique_file_name = wp_unique_filename( $chiropractor_therapy_course_upload_dir['path'], $chiropractor_therapy_course_image_name ); 
      // Generate unique name
      $filename= basename( $chiropractor_therapy_course_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $chiropractor_therapy_course_upload_dir['path'] ) ) {
          $file = $chiropractor_therapy_course_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $chiropractor_therapy_course_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $chiropractor_therapy_course_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $chiropractor_therapy_course_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_type'     => 'post',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $chiropractor_therapy_course_attachment, $file, $chiropractor_therapy_course_post_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $chiropractor_therapy_course_post_id, $attach_id );

    }

    set_theme_mod( 'chiropractor_therapy_courses_setting', 'Our Courses' );

?>

  